diff --git a/spring-boot-actuator/pom.xml b/spring-boot-actuator/pom.xml
index 508e125c14f..674b2408ed5 100644
--- a/spring-boot-actuator/pom.xml
+++ b/spring-boot-actuator/pom.xml
@@ -16,6 +16,7 @@
 		<url>http://www.spring.io</url>
 	</organization>
 	<properties>
+		<java.version>1.8</java.version>
 		<main.basedir>${basedir}/..</main.basedir>
 	</properties>
 	<dependencies>
@@ -200,4 +201,12 @@
 			<scope>test</scope>
 		</dependency>
 	</dependencies>
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.codehaus.mojo</groupId>
+				<artifactId>animal-sniffer-maven-plugin</artifactId>
+			</plugin>
+		</plugins>
+	</build>
 </project>
diff --git a/spring-boot-cli/src/it/java/org/springframework/boot/cli/CommandLineIT.java b/spring-boot-cli/src/it/java/org/springframework/boot/cli/CommandLineIT.java
index 8f0b4fd0c39..dbf825c758a 100644
--- a/spring-boot-cli/src/it/java/org/springframework/boot/cli/CommandLineIT.java
+++ b/spring-boot-cli/src/it/java/org/springframework/boot/cli/CommandLineIT.java
@@ -42,7 +42,7 @@ public void hintProducesListOfValidCommands() throws IOException,
 			InterruptedException {
 		Invocation cli = this.cli.invoke("hint");
 		assertThat(cli.await(), equalTo(0));
-		assertThat(cli.getErrorOutput().length(), equalTo(0));
+		assertThat("Unexpected error: \n" + cli.getErrorOutput(), cli.getErrorOutput().length(), equalTo(0));
 		assertThat(cli.getStandardOutputLines().size(), equalTo(10));
 	}
 
diff --git a/spring-boot-dependencies/pom.xml b/spring-boot-dependencies/pom.xml
index 012f0b54d42..081e204f8b3 100644
--- a/spring-boot-dependencies/pom.xml
+++ b/spring-boot-dependencies/pom.xml
@@ -1671,6 +1671,33 @@
 					<artifactId>maven-war-plugin</artifactId>
 					<version>2.5</version>
 				</plugin>
+				<plugin>
+					<groupId>org.codehaus.mojo</groupId>
+					<artifactId>animal-sniffer-maven-plugin</artifactId>
+					<version>1.14</version>
+				<configuration>
+					<signature>
+						<groupId>org.codehaus.mojo.signature</groupId>
+						<artifactId>java16</artifactId>
+						<version>1.0</version>
+					</signature>
+				</configuration>
+				<executions>
+					<execution>
+						<id>enforce-java-6</id>
+						<phase>test</phase>
+						<goals>
+							<goal>check</goal>
+						</goals>
+						<configuration>
+							<annotations>
+								<annotation>org.springframework.lang.UsesJava8</annotation>
+								<annotation>org.springframework.lang.UsesJava7</annotation>
+							</annotations>
+						</configuration>
+					</execution>
+				</executions>
+				</plugin>
 				<plugin>
 					<groupId>org.codehaus.mojo</groupId>
 					<artifactId>build-helper-maven-plugin</artifactId>
